model ventilateur
  Modelica.Mechanics.Rotational.Components.Inertia inertia1(phi(displayUnit = "rad"))  annotation(Placement(visible = true, transformation(origin = {-8, 38}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Mechanics.Rotational.Sources.Torque torque1 annotation(Placement(visible = true, transformation(origin = {-40, 38}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Blocks.Sources.RealExpression coupleMoteur annotation(Placement(visible = true, transformation(origin = {-82, 38}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Mechanics.Rotational.Sources.Torque torque2 annotation(Placement(visible = true, transformation(origin = {24, 38}, extent = {{10, -10}, {-10, 10}}, rotation = 0)));
  Modelica.Blocks.Sources.RealExpression coupleResistantReel(y = 123 - 0.00024477 * inertia1.w ^ 3 + 0.107 * inertia1.w ^ 2 - 5.34 * inertia1.w) annotation(Placement(visible = true, transformation(origin = {62, 72}, extent = {{10, -10}, {-10, 10}}, rotation = 0)));
  Modelica.Blocks.Math.Gain gain1(k = -1)  annotation(Placement(visible = true, transformation(origin = {52, 38}, extent = {{6, -6}, {-6, 6}}, rotation = 0)));
  Modelica.Mechanics.Rotational.Sources.Torque torque3 annotation(Placement(visible = true, transformation(origin = {20, -6}, extent = {{10, -10}, {-10, 10}}, rotation = 0)));
  Modelica.Mechanics.Rotational.Sources.Torque torque4 annotation(Placement(visible = true, transformation(origin = {-42, -6}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Mechanics.Rotational.Components.Inertia inertia2(phi(displayUnit = "rad")) annotation(Placement(visible = true, transformation(origin = {-10, -6}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Blocks.Sources.RealExpression coupleResistant200 annotation(Placement(visible = true, transformation(origin = {60, -6}, extent = {{10, -10}, {-10, 10}}, rotation = 0)));
equation
  connect(coupleMoteur.y, torque4.tau) annotation(Line(points = {{-70, 38}, {-66, 38}, {-66, -6}, {-54, -6}, {-54, -6}}, color = {0, 0, 127}));
  connect(torque4.flange, inertia2.flange_a) annotation(Line(points = {{-32, -6}, {-20, -6}, {-20, -6}, {-20, -6}}));
  connect(inertia2.flange_b, torque3.flange) annotation(Line(points = {{0, -6}, {10, -6}, {10, -6}, {10, -6}}));
  connect(torque3.tau, coupleResistant200.y) annotation(Line(points = {{32, -6}, {50, -6}, {50, -6}, {50, -6}}, color = {0, 0, 127}));
  connect(gain1.u, coupleResistantReel.y) annotation(Line(points = {{60, 38}, {70, 38}, {70, 56}, {40, 56}, {40, 72}, {52, 72}, {52, 72}}, color = {0, 0, 127}));
  connect(torque2.tau, gain1.y) annotation(Line(points = {{36, 38}, {46, 38}, {46, 38}, {46, 38}}, color = {0, 0, 127}));
  connect(inertia1.flange_b, torque2.flange) annotation(Line(points = {{2, 38}, {14, 38}, {14, 38}, {14, 38}}));
  connect(torque1.flange, inertia1.flange_a) annotation(Line(points = {{-30, 38}, {-18, 38}, {-18, 38}, {-18, 38}}));
  connect(coupleMoteur.y, torque1.tau) annotation(Line(points = {{-70, 38}, {-54, 38}, {-54, 38}, {-52, 38}}, color = {0, 0, 127}));
  annotation(uses(Modelica(version = "3.2.2")));
end ventilateur;
